Trying to add 'rspec'

Trying to add ‘rspec’ to my ROR app and getting this error:

Hello :slight_smile:

Take a look at the documentation -> https://bundler.io/man/gemfile.5.html#GEMS:

For each gem requirement, list a single gem line.

In the line you marked you try to specify requirement for two gems (rspec-rails & byebug) in a single line. You need to split this line into two lines:

gem 'rspec-rails' {optional version specifier, platform specifier, etc.}
gem 'byebug' {optional version specifier, platform specifier, etc.}

Yup. got it fixed. thanks. then I had to update Yarn and it worked.

1 Like